Skip to content
Start here

Delete Workers VPC connectivity service

client.connectivity.directory.services.delete(stringserviceID, ServiceDeleteParams { account_id } params, RequestOptionsoptions?): void
DELETE/accounts/{account_id}/connectivity/directory/services/{service_id}

Removes a single Workers VPC connectivity service by its ID. Any Worker bindings referencing this service will stop working.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
serviceID: string
formatuuid
params: ServiceDeleteParams { account_id }
account_id: string

Delete Workers VPC connectivity service

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

await client.connectivity.directory.services.delete('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
  account_id: 'account_id',
});
Returns Examples